MapFile.Writer (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io
Class MapFile.Writer

    java.lang.Object
      org.apache.hadoop.io.MapFile.Writer

All Implemented Interfaces:
  Closeable

Direct Known Subclasses:
  ArrayFile.Writer, BloomMapFile.Writer, SetFile.Writer

Enclosing class:
  MapFile

    public static class MapFile.Writer

extends Object
implements Closeable

Writes a new map.

Constructor Summary
`MapFile.Writer(Configuration conf, FileSystem fs, String dirName, Class<? extends WritableComparable> keyClass, Class valClass)` Create the named map for keys of the named class.
`MapFile.Writer(Configuration conf, FileSystem fs, String dirName, Class<? extends WritableComparable> keyClass, Class valClass, SequenceFile.CompressionType compress)` Create the named map for keys of the named class.
`MapFile.Writer(Configuration conf, FileSystem fs, String dirName, Class<? extends WritableComparable> keyClass, Class valClass, SequenceFile.CompressionType compress, CompressionCodec codec, Progressable progress)` Create the named map for keys of the named class.
`MapFile.Writer(Configuration conf, FileSystem fs, String dirName, Class<? extends WritableComparable> keyClass, Class valClass, SequenceFile.CompressionType compress, Progressable progress)` Create the named map for keys of the named class.
`MapFile.Writer(Configuration conf, FileSystem fs, String dirName, WritableComparator comparator, Class valClass)` Create the named map using the named key comparator.
`MapFile.Writer(Configuration conf, FileSystem fs, String dirName, WritableComparator comparator, Class valClass, SequenceFile.CompressionType compress)` Create the named map using the named key comparator.
`MapFile.Writer(Configuration conf, FileSystem fs, String dirName, WritableComparator comparator, Class valClass, SequenceFile.CompressionType compress, CompressionCodec codec, Progressable progress)` Create the named map using the named key comparator.
`MapFile.Writer(Configuration conf, FileSystem fs, String dirName, WritableComparator comparator, Class valClass, SequenceFile.CompressionType compress, Progressable progress)` Create the named map using the named key comparator.

Method Summary
`void` | `append(WritableComparable key, Writable val)` Append a key/value pair to the map.
`void` | `close()` Close the map.
`int` | `getIndexInterval()` The number of entries that are added before an index entry is added.
`static void` | `setIndexInterval(Configuration conf, int interval)` Sets the index interval and stores it in conf
`void` | `setIndexInterval(int interval)` Sets the index interval.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapFile.Writer

    public MapFile.Writer(Configuration conf,
                          FileSystem fs,
                          String dirName,
                          Class<? extends WritableComparable> keyClass,
                          Class valClass)
                   throws IOException

  Create the named map for keys of the named class.

  Throws:
    `IOException`

### MapFile.Writer

    public MapFile.Writer(Configuration conf,
                          FileSystem fs,
                          String dirName,
                          Class<? extends WritableComparable> keyClass,
                          Class valClass,
                          SequenceFile.CompressionType compress,
                          Progressable progress)
                   throws IOException

  Create the named map for keys of the named class.

  Throws:
    `IOException`

### MapFile.Writer

    public MapFile.Writer(Configuration conf,
                          FileSystem fs,
                          String dirName,
                          Class<? extends WritableComparable> keyClass,
                          Class valClass,
                          SequenceFile.CompressionType compress,
                          CompressionCodec codec,
                          Progressable progress)
                   throws IOException

  Create the named map for keys of the named class.

  Throws:
    `IOException`

### MapFile.Writer

    public MapFile.Writer(Configuration conf,
                          FileSystem fs,
                          String dirName,
                          Class<? extends WritableComparable> keyClass,
                          Class valClass,
                          SequenceFile.CompressionType compress)
                   throws IOException

  Create the named map for keys of the named class.

  Throws:
    `IOException`

### MapFile.Writer

    public MapFile.Writer(Configuration conf,
                          FileSystem fs,
                          String dirName,
                          WritableComparator comparator,
                          Class valClass)
                   throws IOException

  Create the named map using the named key comparator.

  Throws:
    `IOException`

### MapFile.Writer

    public MapFile.Writer(Configuration conf,
                          FileSystem fs,
                          String dirName,
                          WritableComparator comparator,
                          Class valClass,
                          SequenceFile.CompressionType compress)
                   throws IOException

  Create the named map using the named key comparator.

  Throws:
    `IOException`

### MapFile.Writer

    public MapFile.Writer(Configuration conf,
                          FileSystem fs,
                          String dirName,
                          WritableComparator comparator,
                          Class valClass,
                          SequenceFile.CompressionType compress,
                          Progressable progress)
                   throws IOException

  Create the named map using the named key comparator.

  Throws:
    `IOException`

### MapFile.Writer

    public MapFile.Writer(Configuration conf,
                          FileSystem fs,
                          String dirName,
                          WritableComparator comparator,
                          Class valClass,
                          SequenceFile.CompressionType compress,
                          CompressionCodec codec,
                          Progressable progress)
                   throws IOException

  Create the named map using the named key comparator.

  Throws:
    `IOException`

Method Detail

### getIndexInterval

    public int getIndexInterval()

  The number of entries that are added before an index entry is added.

### setIndexInterval

    public void setIndexInterval(int interval)

  Sets the index interval.

  See Also:
    `getIndexInterval()`

### setIndexInterval

    public static void setIndexInterval(Configuration conf,
                                        int interval)

  Sets the index interval and stores it in conf

  See Also:
    `getIndexInterval()`

### close

    public void close()
               throws IOException

  Close the map.

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

### append

    public void append(WritableComparable key,
                       Writable val)
                throws IOException

  Append a key/value pair to the map. The key must be greater or equal to the previous key added to the map.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation